/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
export declare type AutoMergeAsResponse = {
    enabled_by: SimpleUserAsResponse;
    /**
     * The merge method to use.
     */
    merge_method: "merge" | "squash" | "rebase";
    /**
     * Title for the merge commit message.
     */
    commit_title: string;
    /**
     * Commit message for the merge commit.
     */
    commit_message: string;
} | null;
//# sourceMappingURL=AutoMergeAsResponse.d.ts.map