/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MinimalRepositoryAsResponse } from "../definitions/MinimalRepositoryAsResponse";
import { SearchResultTextMatchesAsResponse } from "../definitions/SearchResultTextMatchesAsResponse";
export interface CodeSearchResultItemAsResponse {
    name: string;
    path: string;
    sha: string;
    url: string;
    git_url: string;
    html_url: string;
    repository: MinimalRepositoryAsResponse;
    score: number;
    file_size?: number;
    language?: string | null;
    last_modified_at?: string;
    line_numbers?: Array<string>;
    text_matches?: SearchResultTextMatchesAsResponse;
}
//# sourceMappingURL=CodeSearchResultItemAsResponse.d.ts.map