/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface CommitCommentAsResponse {
    html_url: string;
    url: string;
    id: number;
    node_id: string;
    body: string;
    path: string | null;
    position: number | null;
    line: number | null;
    commit_id: string;
    user: null | SimpleUserAsResponse;
    created_at: string;
    updated_at: string;
    author_association: AuthorAssociationAsResponse;
    reactions?: ReactionRollupAsResponse;
}
//# sourceMappingURL=CommitCommentAsResponse.d.ts.map