/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface DiffEntryAsResponse {
    sha: string;
    filename: string;
    status: "added" | "removed" | "modified" | "renamed" | "copied" | "changed" | "unchanged";
    additions: number;
    deletions: number;
    changes: number;
    blob_url: string;
    raw_url: string;
    contents_url: string;
    patch?: string;
    previous_filename?: string;
}
//# sourceMappingURL=DiffEntryAsResponse.d.ts.map