/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface GitTreeAsResponse {
    sha: string;
    url: string;
    truncated: boolean;
    /**
     * Objects specifying a tree structure
     */
    tree: Array<{
        path?: string;
        mode?: string;
        type?: string;
        sha?: string;
        size?: number;
        url?: string;
    }>;
}
//# sourceMappingURL=GitTreeAsResponse.d.ts.map