/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface LabelAsResponse {
    id: number;
    node_id: string;
    /**
     * URL for the label
     */
    url: string;
    /**
     * The name of the label.
     */
    name: string;
    description: string | null;
    /**
     * 6-character hex code, without the leading #, identifying the color
     */
    color: string;
    default: boolean;
}
//# sourceMappingURL=LabelAsResponse.d.ts.map