/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
export interface ReleaseAssetAsResponse {
    url: string;
    browser_download_url: string;
    id: number;
    node_id: string;
    /**
     * The file name of the asset.
     */
    name: string;
    label: string | null;
    /**
     * State of the release asset.
     */
    state: "uploaded" | "open";
    content_type: string;
    size: number;
    download_count: number;
    created_at: string;
    updated_at: string;
    uploader: null | SimpleUserAsResponse;
}
//# sourceMappingURL=ReleaseAssetAsResponse.d.ts.map