/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface ReviewDismissedIssueEventAsResponse {
    id: number;
    node_id: string;
    url: string;
    actor: SimpleUserAsResponse;
    event: string;
    commit_id: string | null;
    commit_url: string | null;
    created_at: string;
    performed_via_github_app: null | IntegrationAsResponse;
    dismissed_review: {
        state: string;
        review_id: number;
        dismissal_message: string | null;
        dismissal_commit_id?: string;
    };
}
//# sourceMappingURL=ReviewDismissedIssueEventAsResponse.d.ts.map