/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
export interface ReviewRequestedIssueEventAsResponse {
    id: number;
    node_id: string;
    url: string;
    actor: SimpleUserAsResponse;
    event: string;
    commit_id: string | null;
    commit_url: string | null;
    created_at: string;
    performed_via_github_app: null | IntegrationAsResponse;
    review_requester: SimpleUserAsResponse;
    requested_team?: TeamAsResponse;
    requested_reviewer?: SimpleUserAsResponse;
}
//# sourceMappingURL=ReviewRequestedIssueEventAsResponse.d.ts.map