/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TeamSimpleAsResponse } from "../definitions/TeamSimpleAsResponse";
export interface TeamAsResponse {
    id: number;
    node_id: string;
    name: string;
    slug: string;
    description: string | null;
    privacy?: string;
    permission: string;
    permissions?: {
        pull: boolean;
        triage: boolean;
        push: boolean;
        maintain: boolean;
        admin: boolean;
    };
    url: string;
    html_url: string;
    members_url: string;
    repositories_url: string;
    parent: null | TeamSimpleAsResponse;
}
//# sourceMappingURL=TeamAsResponse.d.ts.map