/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SearchResultTextMatchesAsResponse } from "../definitions/SearchResultTextMatchesAsResponse";
export interface TopicSearchResultItemAsResponse {
    name: string;
    display_name: string | null;
    short_description: string | null;
    description: string | null;
    created_by: string | null;
    released: string | null;
    created_at: string;
    updated_at: string;
    featured: boolean;
    curated: boolean;
    score: number;
    repository_count?: number | null;
    logo_url?: string | null;
    text_matches?: SearchResultTextMatchesAsResponse;
    related?: Array<{
        topic_relation?: {
            id?: number;
            name?: string;
            topic_id?: number;
            relation_type?: string;
        };
    }> | null;
    aliases?: Array<{
        topic_relation?: {
            id?: number;
            name?: string;
            topic_id?: number;
            relation_type?: string;
        };
    }> | null;
}
//# sourceMappingURL=TopicSearchResultItemAsResponse.d.ts.map