/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CommitAsResponse } from "../definitions/CommitAsResponse";
import { BranchProtectionAsResponse } from "../definitions/BranchProtectionAsResponse";
export interface BranchWithProtectionAsResponse {
    name: string;
    commit: CommitAsResponse;
    _links: {
        html: string;
        self: string;
    };
    protected: boolean;
    protection: BranchProtectionAsResponse;
    protection_url: string;
    pattern?: string;
    required_approving_review_count?: number;
}
//# sourceMappingURL=BranchWithProtectionAsResponse.d.ts.map