/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleCommitStatusAsResponse } from "../definitions/SimpleCommitStatusAsResponse";
import { MinimalRepositoryAsResponse } from "../definitions/MinimalRepositoryAsResponse";
export interface CombinedCommitStatusAsResponse {
    state: "failure" | "pending" | "success";
    statuses: Array<SimpleCommitStatusAsResponse>;
    sha: string;
    total_count: number;
    repository: MinimalRepositoryAsResponse;
    commit_url: string;
    url: string;
}
//# sourceMappingURL=CombinedCommitStatusAsResponse.d.ts.map