/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CommitAsResponse } from "../definitions/CommitAsResponse";
import { DiffEntryAsResponse } from "../definitions/DiffEntryAsResponse";
export interface CommitComparisonAsResponse {
    url: string;
    html_url: string;
    permalink_url: string;
    diff_url: string;
    patch_url: string;
    base_commit: CommitAsResponse;
    merge_base_commit: CommitAsResponse;
    status: "diverged" | "ahead" | "behind" | "identical";
    ahead_by: number;
    behind_by: number;
    total_commits: number;
    commits: Array<CommitAsResponse>;
    files?: Array<DiffEntryAsResponse>;
}
//# sourceMappingURL=CommitComparisonAsResponse.d.ts.map