/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GitUserAsResponse } from "../definitions/GitUserAsResponse";
import { VerificationAsResponse } from "../definitions/VerificationAsResponse";
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { MinimalRepositoryAsResponse } from "../definitions/MinimalRepositoryAsResponse";
import { SearchResultTextMatchesAsResponse } from "../definitions/SearchResultTextMatchesAsResponse";
export interface CommitSearchResultItemAsResponse {
    url: string;
    sha: string;
    html_url: string;
    comments_url: string;
    commit: {
        author: {
            name: string;
            email: string;
            date: string;
        };
        committer: null | GitUserAsResponse;
        comment_count: number;
        message: string;
        tree: {
            sha: string;
            url: string;
        };
        url: string;
        verification?: VerificationAsResponse;
    };
    author: null | SimpleUserAsResponse;
    committer: null | GitUserAsResponse;
    parents: Array<{
        url?: string;
        html_url?: string;
        sha?: string;
    }>;
    repository: MinimalRepositoryAsResponse;
    score: number;
    node_id: string;
    text_matches?: SearchResultTextMatchesAsResponse;
}
//# sourceMappingURL=CommitSearchResultItemAsResponse.d.ts.map