/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ContentFileAsResponse {
    type: "file";
    encoding: string;
    size: number;
    name: string;
    path: string;
    content: string;
    sha: string;
    url: string;
    git_url: string | null;
    html_url: string | null;
    download_url: string | null;
    _links: {
        git: string | null;
        html: string | null;
        self: string;
    };
    target?: string;
    submodule_git_url?: string;
}
//# sourceMappingURL=ContentFileAsResponse.d.ts.map