/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export declare type DeploymentBranchPolicySettingsAsResponse = {
    /**
     * Whether only branches with branch protection rules can deploy to this environment. If `protected_branches` is `true`, `custom_branch_policies` must be `false`; if `protected_branches` is `false`, `custom_branch_policies` must be `true`.
     */
    protected_branches: boolean;
    /**
     * Whether only branches that match the specified name patterns can deploy to this environment.  If `custom_branch_policies` is `true`, `protected_branches` must be `false`; if `custom_branch_policies` is `false`, `protected_branches` must be `true`.
     */
    custom_branch_policies: boolean;
} | null;
//# sourceMappingURL=DeploymentBranchPolicySettingsAsResponse.d.ts.map