/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VerificationAsResponse } from "../definitions/VerificationAsResponse";
export interface GitTagAsResponse {
    node_id: string;
    /**
     * Name of the tag
     */
    tag: string;
    sha: string;
    /**
     * URL for the tag
     */
    url: string;
    /**
     * Message describing the purpose of the tag
     */
    message: string;
    tagger: {
        date: string;
        email: string;
        name: string;
    };
    object: {
        sha: string;
        type: string;
        url: string;
    };
    verification?: VerificationAsResponse;
}
//# sourceMappingURL=GitTagAsResponse.d.ts.map