/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
import { ReactionRollupAsResponse } from "../definitions/ReactionRollupAsResponse";
export interface IssueCommentAsResponse {
    /**
     * Unique identifier of the issue comment
     */
    id: number;
    node_id: string;
    /**
     * URL for the issue comment
     */
    url: string;
    /**
     * Contents of the issue comment
     */
    body?: string;
    body_text?: string;
    body_html?: string;
    html_url: string;
    user: null | SimpleUserAsResponse;
    created_at: string;
    updated_at: string;
    issue_url: string;
    author_association: AuthorAssociationAsResponse;
    performed_via_github_app?: null | IntegrationAsResponse;
    reactions?: ReactionRollupAsResponse;
}
//# sourceMappingURL=IssueCommentAsResponse.d.ts.map