/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IssueAsResponse } from "../definitions/IssueAsResponse";
import { IssueEventLabelAsResponse } from "../definitions/IssueEventLabelAsResponse";
import { TeamAsResponse } from "../definitions/TeamAsResponse";
import { IssueEventDismissedReviewAsResponse } from "../definitions/IssueEventDismissedReviewAsResponse";
import { IssueEventMilestoneAsResponse } from "../definitions/IssueEventMilestoneAsResponse";
import { IssueEventProjectCardAsResponse } from "../definitions/IssueEventProjectCardAsResponse";
import { IssueEventRenameAsResponse } from "../definitions/IssueEventRenameAsResponse";
import { AuthorAssociationAsResponse } from "../definitions/AuthorAssociationAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface IssueEventAsResponse {
    id: number;
    node_id: string;
    url: string;
    actor: null | SimpleUserAsResponse;
    event: string;
    commit_id: string | null;
    commit_url: string | null;
    created_at: string;
    issue?: null | IssueAsResponse;
    label?: IssueEventLabelAsResponse;
    assignee?: null | SimpleUserAsResponse;
    assigner?: null | SimpleUserAsResponse;
    review_requester?: null | SimpleUserAsResponse;
    requested_reviewer?: null | SimpleUserAsResponse;
    requested_team?: TeamAsResponse;
    dismissed_review?: IssueEventDismissedReviewAsResponse;
    milestone?: IssueEventMilestoneAsResponse;
    project_card?: IssueEventProjectCardAsResponse;
    rename?: IssueEventRenameAsResponse;
    author_association?: AuthorAssociationAsResponse;
    lock_reason?: string | null;
    performed_via_github_app?: null | IntegrationAsResponse;
}
//# sourceMappingURL=IssueEventAsResponse.d.ts.map