/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface MovedColumnInProjectIssueEventAsResponse {
    id: number;
    node_id: string;
    url: string;
    actor: SimpleUserAsResponse;
    event: string;
    commit_id: string | null;
    commit_url: string | null;
    created_at: string;
    performed_via_github_app: null | IntegrationAsResponse;
    project_card?: {
        id: number;
        url: string;
        project_id: number;
        project_url: string;
        column_name: string;
        previous_column_name?: string;
    };
}
//# sourceMappingURL=MovedColumnInProjectIssueEventAsResponse.d.ts.map