/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleUserAsResponse } from "../definitions/SimpleUserAsResponse";
import { IntegrationAsResponse } from "../definitions/IntegrationAsResponse";
export interface RenamedIssueEventAsResponse {
    id: number;
    node_id: string;
    url: string;
    actor: SimpleUserAsResponse;
    event: string;
    commit_id: string | null;
    commit_url: string | null;
    created_at: string;
    performed_via_github_app: null | IntegrationAsResponse;
    rename: {
        from: string;
        to: string;
    };
}
//# sourceMappingURL=RenamedIssueEventAsResponse.d.ts.map